Grants, vesting & distributions
Get Exercise Requests
Lists the caller's in-progress exercise requests that have a signature request document.
GEThttps://api.toku.com/tga/get-exercise-requests
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/tga/get-exercise-requests' \
--header 'Authorization: Bearer <token>'200 response
[
{
"exerciseRequestID": "string",
"roleInOrgID": "string",
"grantID": "string",
"status": "EXERCISE_REQUEST_IMPORTED_FROM_OFF_PLATFORM",
"units": "string",
"settlementMethod": "TOKEN",
"documentID": "string",
"addedByRoleInOrgID": "string",
"rejectedAt": "string",
"rejectedReason": "string",
"rejectedByRoleInOrgID": "string",
"approvedByRoleInOrgID": "string",
"approvedAt": "string",
"taxReferenceID": "string",
"settlementID": "string",
"lockedUntil": "string",
"lockupEndNotifiedAt": "string",
"paymentReceivedAt": "string",
"paymentAmount": "string",
"paymentCurrencyCode": "string",
"paymentReference": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string",
"grant": {}
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
exerciseRequestIDstringrequiredroleInOrgIDstringrequiredgrantIDstringrequiredstatusstringrequiredAvailable options: EXERCISE_REQUEST_IMPORTED_FROM_OFF_PLATFORM, PENDING_AGREEMENT, PENDING_SETTLEMENT, PENDING_TAX_APPROVAL, PENDING_TOKU_ACCEPTANCE, REJECTED, SETTLED
unitsstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
settlementMethodstringrequiredAvailable options: TOKEN, CASH
documentIDstring | nullrequiredaddedByRoleInOrgIDstring | nullrequiredrejectedAtstring | nullrequiredrejectedReasonstring | nullrequiredrejectedByRoleInOrgIDstring | nullrequiredapprovedByRoleInOrgIDstring | nullrequiredapprovedAtstring | nullrequiredtaxReferenceIDstring | nullrequiredsettlementIDstring | nullrequiredlockedUntilstring | nullrequiredlockupEndNotifiedAtstring | nullrequiredpaymentReceivedAtstring | nullrequiredpaymentAmountstring | nullrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
paymentCurrencyCodestring | nullrequiredpaymentReferencestring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequireddeletedAtstring | nullrequiredgrantobject | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits